# ArrayBuffer

Source:
  - constructors/extensions/prototype.js, line 2280

### Methods

#### base64encode() → {string}

Source:
  - constructors/extensions/prototype.js, line 2317

##### Returns:

Type
  string

#### toArray() → {Array.<number>}

Source:
  - constructors/extensions/prototype.js, line 2334

##### Returns:

Type
  Array.<number>

#### toBytes() → {Uint8Array}

Source:
  - constructors/extensions/prototype.js, line 2300

##### Returns:

Type
  Uint8Array

#### toStringUtf8() → {string}

Source:
  - constructors/extensions/prototype.js, line 2283

##### Returns:

Type
  string